Package gov.nasa.gsfc.sscweb.schema

# Class FileResult

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Result
gov.nasa.gsfc.sscweb.schema.AbstractResult
gov.nasa.gsfc.sscweb.schema.FileResult

public class FileResult extends AbstractResult
The result of a location request to the Satellite Situation Center. <p>Java class for FileResult complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="FileResult"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}AbstractResult"> <sequence> <element name="Files" type="{http://sscweb.gsfc.nasa.gov/schema}FileDescription" maxOccurs="unbounded"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<FileDescription>`
  `files`
  References to the files containing the requested satellite data.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.Result

  `statusCode, statusSubCode, statusText`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<FileDescription>`
  `getFiles()`
  References to the files containing the requested satellite data.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.Result

  `getStatusCode, getStatusSubCode, getStatusText, setStatusCode, setStatusSubCode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### files

    protected List<FileDescription> files
    References to the files containing the requested satellite data.

- ## Constructor Details

  - ### FileResult

    public FileResult()

- ## Method Details

  - ### getFiles

    public List<FileDescription> getFiles()
    References to the files containing the requested satellite data. Gets the value of the files property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the files property.

    For example, to add a new item, do as follows:

         getFiles().add(newItem);

    Objects of the following type(s) are allowed in the list `FileDescription`

    Returns:
      The value of the files property.